| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
cv::xfeatures2d::HarrisLaplaceFeatureDetector Class Referenceabstract
Extra 2D Features Framework » Experimental 2D Features Algorithms

Class implementing the Harris-Laplace feature detector as described in [193]. More...

`#include <opencv2/xfeatures2d.hpp>`

Collaboration diagram for cv::xfeatures2d::HarrisLaplaceFeatureDetector:

## Public Member Functions
virtual float | getCornThresh () const =0
String | getDefaultName () const CV_OVERRIDE
virtual float | getDOGThresh () const =0
virtual int | getMaxCorners () const =0
virtual int | getNumLayers () const =0
virtual int | getNumOctaves () const =0
virtual void | setCornThresh (float corn_thresh_)=0
virtual void | setDOGThresh (float DOG_thresh_)=0
virtual void | setMaxCorners (int maxCorners_)=0
virtual void | setNumLayers (int num_layers_)=0
virtual void | setNumOctaves (int numOctaves_)=0
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant).
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant).
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty.
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage.
void | read (const String &fileName)
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual void | save (const String &filename) const
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static Ptr< HarrisLaplaceFeatureDetector > | create (int numOctaves=6, float corn_thresh=0.01f, float DOG_thresh=0.01f, int maxCorners=5000, int num_layers=4)
| Creates a new implementation instance.
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing the Harris-Laplace feature detector as described in [193].

## Member Function Documentation

## ◆ create()

static Ptr< HarrisLaplaceFeatureDetector > cv::xfeatures2d::HarrisLaplaceFeatureDetector::create | ( | int | numOctaves = 6,
|  | float | corn_thresh = 0.01f,
|  | float | DOG_thresh = 0.01f,
|  | int | maxCorners = 5000,
|  | int | num_layers = 4 )
| static

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.create( | [, numOctaves[, corn_thresh[, DOG_thresh[, maxCorners[, num_layers]]]]] | ) -> | retval
| cv.xfeatures2d.HarrisLaplaceFeatureDetector_create( | [, numOctaves[, corn_thresh[, DOG_thresh[, maxCorners[, num_layers]]]]] | ) -> | retval

Creates a new implementation instance.

Parameters

  numOctaves | the number of octaves in the scale-space pyramid
  corn_thresh | the threshold for the Harris cornerness measure
  DOG_thresh | the threshold for the Difference-of-Gaussians scale selection
  maxCorners | the maximum number of corners to consider
  num_layers | the number of intermediate scales per octave

## ◆ getCornThresh()

virtual float cv::xfeatures2d::HarrisLaplaceFeatureDetector::getCornThresh | ( |  | ) | const
| pure virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.getCornThresh( |  | ) -> | retval

## ◆ getDefaultName()

String cv::xfeatures2d::HarrisLaplaceFeatureDetector::getDefaultName | ( |  | ) | const
| virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.getDefaultName( |  | ) -> | retval

Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.

Reimplemented from cv::Feature2D.

## ◆ getDOGThresh()

virtual float cv::xfeatures2d::HarrisLaplaceFeatureDetector::getDOGThresh | ( |  | ) | const
| pure virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.getDOGThresh( |  | ) -> | retval

## ◆ getMaxCorners()

virtual int cv::xfeatures2d::HarrisLaplaceFeatureDetector::getMaxCorners | ( |  | ) | const
| pure virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.getMaxCorners( |  | ) -> | retval

## ◆ getNumLayers()

virtual int cv::xfeatures2d::HarrisLaplaceFeatureDetector::getNumLayers | ( |  | ) | const
| pure virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.getNumLayers( |  | ) -> | retval

## ◆ getNumOctaves()

virtual int cv::xfeatures2d::HarrisLaplaceFeatureDetector::getNumOctaves | ( |  | ) | const
| pure virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.getNumOctaves( |  | ) -> | retval

## ◆ setCornThresh()

virtual void cv::xfeatures2d::HarrisLaplaceFeatureDetector::setCornThresh | ( | float | corn_thresh_ | ) |
| pure virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.setCornThresh( | corn_thresh_ | ) -> | None

## ◆ setDOGThresh()

virtual void cv::xfeatures2d::HarrisLaplaceFeatureDetector::setDOGThresh | ( | float | DOG_thresh_ | ) |
| pure virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.setDOGThresh( | DOG_thresh_ | ) -> | None

## ◆ setMaxCorners()

virtual void cv::xfeatures2d::HarrisLaplaceFeatureDetector::setMaxCorners | ( | int | maxCorners_ | ) |
| pure virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.setMaxCorners( | maxCorners_ | ) -> | None

## ◆ setNumLayers()

virtual void cv::xfeatures2d::HarrisLaplaceFeatureDetector::setNumLayers | ( | int | num_layers_ | ) |
| pure virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.setNumLayers( | num_layers_ | ) -> | None

## ◆ setNumOctaves()

virtual void cv::xfeatures2d::HarrisLaplaceFeatureDetector::setNumOctaves | ( | int | numOctaves_ | ) |
| pure virtual

Python:
| cv.xfeatures2d.HarrisLaplaceFeatureDetector.setNumOctaves( | numOctaves_ | ) -> | None

The documentation for this class was generated from the following file:

- opencv2/xfeatures2d.hpp